Bug 182744 - [MAINTAINER-UPDATE] from sysutils/zogftw 2013-03-31 to 2013-10-06
Summary: [MAINTAINER-UPDATE] from sysutils/zogftw 2013-03-31 to 2013-10-06
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Antoine Brodin
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-10-06 15:30 UTC by Fabian Keil
Modified: 2013-10-07 22:00 UTC (History)
0 users

See Also:


Attachments
file.txt (1.88 KB, text/plain)
2013-10-06 15:30 UTC, Fabian Keil
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Fabian Keil 2013-10-06 15:30:00 UTC
The attached patch updates sysutils/zogftw to 2013-10-06 and adds stage support.

Fix: Patch attached with submission follows:
Comment 1 Antoine Brodin freebsd_committer 2013-10-07 21:22:19 UTC
Responsible Changed
From-To: freebsd-ports-bugs->antoine

Take
Comment 2 dfilter service freebsd_committer 2013-10-07 21:56:58 UTC
Author: antoine
Date: Mon Oct  7 20:56:50 2013
New Revision: 329739
URL: http://svnweb.freebsd.org/changeset/ports/329739

Log:
  - Update to 2013-10-06
  - Convert to STAGEDIR
  
  PR:		ports/182744
  Submitted by:	Fabian Keil (maintainer)

Modified:
  head/sysutils/zogftw/Makefile
  head/sysutils/zogftw/distinfo

Modified: head/sysutils/zogftw/Makefile
==============================================================================
--- head/sysutils/zogftw/Makefile	Mon Oct  7 20:56:22 2013	(r329738)
+++ head/sysutils/zogftw/Makefile	Mon Oct  7 20:56:50 2013	(r329739)
@@ -2,10 +2,10 @@
 # $FreeBSD$
 
 PORTNAME=	zogftw
-PORTVERSION=	0.0.2013.03.31
+PORTVERSION=	0.0.2013.10.06
 CATEGORIES=	sysutils
 MASTER_SITES=	http://www.fabiankeil.de/sourcecode/zogftw/
-DISTNAME=	${PORTNAME}-2013-03-31-80ef6e9
+DISTNAME=	${PORTNAME}-2013-10-06-4760e2c
 
 MAINTAINER=	fk@fabiankeil.de
 COMMENT=	Creates redundant backups on encrypted ZFS pools
@@ -16,23 +16,17 @@ RUN_DEPENDS=	mbuffer:${PORTSDIR}/misc/mb
 OPTIONS_DEFINE=		GNUPG
 OPTIONS_DEFAULT=	GNUPG
 
-PLIST_FILES=	sbin/zogftw
-
-MAN8=		zogftw.8
+PLIST_FILES=	sbin/zogftw \
+		man/man8/zogftw.8.gz
 
+NO_BUILD=	yes
 PORTSCOUT=	ignore:1
 
-NO_STAGE=	yes
-.include <bsd.port.options.mk>
-
-.if ${PORT_OPTIONS:MGNUPG}
-RUN_DEPENDS+=	gpg:${PORTSDIR}/security/gnupg1 \
-		gpg-agent:${PORTSDIR}/security/gnupg
-.endif
+GNUPG_RUN_DEPENDS=	gpg:${PORTSDIR}/security/gnupg1 \
+			gpg-agent:${PORTSDIR}/security/gnupg
 
-do-build:
 do-install:
-	${INSTALL_SCRIPT} ${WRKSRC}/zogftw ${PREFIX}/sbin/zogftw
-	${INSTALL_MAN} ${WRKSRC}/zogftw.8 ${MAN8PREFIX}/man/man8
+	${INSTALL_SCRIPT} ${WRKSRC}/zogftw ${STAGEDIR}${PREFIX}/sbin/zogftw
+	${INSTALL_MAN} ${WRKSRC}/zogftw.8 ${STAGEDIR}${MAN8PREFIX}/man/man8
 
 .include <bsd.port.mk>

Modified: head/sysutils/zogftw/distinfo
==============================================================================
--- head/sysutils/zogftw/distinfo	Mon Oct  7 20:56:22 2013	(r329738)
+++ head/sysutils/zogftw/distinfo	Mon Oct  7 20:56:50 2013	(r329739)
@@ -1,2 +1,2 @@
-SHA256 (zogftw-2013-03-31-80ef6e9.tar.gz) = e8dcdb01916c4f0c89deb23bb3044701fe6a209e9428885f4a9a5f9a22dda49e
-SIZE (zogftw-2013-03-31-80ef6e9.tar.gz) = 15957
+SHA256 (zogftw-2013-10-06-4760e2c.tar.gz) = 9ebcfe168ed3e8e333982ede3c7a0b6f8769162e7a6590499c412aef32e42c34
+SIZE (zogftw-2013-10-06-4760e2c.tar.gz) = 14651
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 3 Antoine Brodin freebsd_committer 2013-10-07 21:59:12 UTC
State Changed
From-To: open->closed

Port updated, thanks!